function init()
{
   numArtObjects = 22;
   selectedConeID = 1;
   numConeChoices = 9;
   shiftXIncrement = 150;
   shiftYIncrement = 0;
   selectedSoundState = "on";
   depth = 10;
   var _loc2_ = 1;
   while(_loc2_ <= numArtObjects)
   {
      this["a" + _loc2_ + "dupeNum"] = 0;
      _loc2_ = _loc2_ + 1;
   }
   doSoundState();
}
function onIntroAnimComplete()
{
   nextFrame();
}
function showConeSelection()
{
   coneSwitch_mc.gotoAndStop("cone" + selectedConeID);
}
function showNextCone()
{
   if(selectedConeID != numConeChoices)
   {
      selectedConeID++;
   }
   else
   {
      selectedConeID = 1;
   }
   showConeSelection();
}
function prepForPrintUI()
{
   showConeSelection();
   removeMovieClip(bgPicDrop);
   stapleIDMC._x += shiftIncrement;
   var _loc2_ = 1;
   while(_loc2_ <= numArtObjects)
   {
      this["art" + _loc2_]._x -= shiftXIncrement;
      this["art" + _loc2_]._y -= shiftYIncrement;
      var _loc3_ = 1;
      while(_loc3_ <= this["a" + _loc2_ + "dupeNum"])
      {
         this["art" + _loc2_ + "_" + _loc3_]._x -= shiftXIncrement;
         this["art" + _loc2_ + "_" + _loc3_]._y -= shiftYIncrement;
         _loc3_ = _loc3_ + 1;
      }
      _loc2_ = _loc2_ + 1;
   }
   stop();
}
function returnFromPrintUI()
{
   showConeSelection();
   doSoundState();
   stapleIDMC._x += shiftIncrement;
   var _loc3_ = 1;
   while(_loc3_ <= numArtObjects)
   {
      this["art" + _loc3_]._x += shiftXIncrement;
      this["art" + _loc3_]._y += shiftYIncrement;
      var _loc4_ = 1;
      while(_loc4_ <= this["a" + _loc3_ + "dupeNum"])
      {
         this["art" + _loc3_ + "_" + _loc4_]._x += shiftXIncrement;
         this["art" + _loc3_ + "_" + _loc4_]._y += shiftYIncrement;
         _loc4_ = _loc4_ + 1;
      }
      _loc3_ = _loc3_ + 1;
   }
   gotoAndPlay(1, _root.fencepost);
   _root.postPrint = 1;
}
function setSoundState(soundState)
{
   selectedSoundState = soundState;
   doSoundState();
}
function doSoundState()
{
   trace("soundState = " + selectedSoundState);
   speaker_mc.gotoAndStop(selectedSoundState);
}
function artActions(artStateNum)
{
   if(Number(_root.postPrint) == 1)
   {
      duplicateMovieClip("bgPicDrop_preDepthDupe","bgPicDrop",116384);
      removeMovieClip("bgPicDrop_preDepthDupe");
   }
   fencepost = "art" + artStateNum;
   gotoAndPlay(1, fencepost);
}
function dupClip_onRollOver(clipRef, clipID)
{
   clipRef.n = clipID;
}
function dupClip_onPress(clipRef)
{
   var _loc2_ = clipRef.n;
   _root.okSetTrackX = 1;
   _root.depth = _root.depth + 1;
   _root["a" + _loc2_ + "dupeNum"]++;
   dupClipName = "art" + _loc2_ + "_" + _root["a" + _loc2_ + "dupeNum"];
   duplicateMovieClip(_root["art" + _loc2_],dupClipName,16384 + _root.depth);
   _root.newClipPath = _root[dupClipName];
   startDrag(_root.newClipPath,1);
   _root.newClipPath.gotoAndStop("trace");
}
function dragClip_detail_onPress(clipRef)
{
   startDrag(clipRef,1);
}
function dragClip_detail_onRelease(clipRef)
{
   if(clipRef._droptarget != "/bgPicDrop")
   {
      removeMovieClip(clipRef);
   }
   _root.currClip = clipRef._name;
   stopDrag();
   clipRef.gotoAndStop("detail");
}
function dragClip_trace_onRollOver(clipRef, clipID)
{
   clipRef.n = clipID;
}
function dragClip_trace_onPress(clipRef)
{
   var _loc2_ = clipRef.n;
   if(clipRef._droptarget == "/bgPicDrop")
   {
      stopDrag();
      clipRef.gotoAndStop("detail");
      _root.depth = _root.depth + 1;
      prevDupeNum = _root["a" + _loc2_ + "dupeNum"];
      _root["a" + _loc2_ + "dupeNum"]++;
      dupClipName = "art" + _loc2_ + "_" + _root["a" + _loc2_ + "dupeNum"];
      duplicateMovieClip(_root["art" + _loc2_],dupClipName,16384 + _root.depth);
      _root.newClipPath = _root[dupClipName];
      startDrag(_root.newClipPath,1);
      _root.newClipPath.gotoAndStop("trace");
      _root.currClip = "art" + _loc2_ + "_" + prevDupeNum;
   }
   else
   {
      removeMovieClip(_root.newClipPath);
   }
}
play();
